package aero.geoscan.test.events;

import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * Обработчик открытия файлов
 * @author s.raevskiy
 *
 */
public class OpenFileEventProcessor implements Listener
{
	/**
	 * Сингельтон обработчика открытия файлов
	 */
	public static final OpenFileEventProcessor INSTANCE = new OpenFileEventProcessor();
	
	
	private OpenFileEventProcessor()
	{
	}
	
	@Override
	public void handleEvent(Event event)
	{
		if (event.text != null)
		{
			System.out.println(event.text);
		}
	}
}